Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002564graphvizFdppublic2015-08-15 15:042015-08-19 10:47
Reporterpetercain0110 
Assigned To 
PriorityhighSeveritymajorReproducibilityalways
StatusnewResolutionopen 
PlatformcygwinOSwindows amd 64OS Version7
Summary0002564: Silently stops working ..
Descriptioncan take considerable time before stops ..

sometimes leaves this message ..

assertion "0" failed: file "/usr/src/ports/graphviz/graphviz-2.38.0-7.x86_64/src/graphviz-2.38.0/lib/neatogen/multispline.c", line 1094, function: edgeToSeg
Steps To Reproducerun input file ..
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT
VERSION
Attached Filestxt file icon LBI_20150815161544.txt (Attachment missing)

- Relationships

-  Notes
User avatar (0000961)
petercain0110 (reporter)
2015-08-16 09:59
edited on: 2015-08-17 11:39

UPDATE ..

Tried on Ubuntu 14.04 LTS with default graphviz version (2.36). Same issue: silently stops.

I recompiled graphviz from source under ubuntu 14.04 LTS. There was a small compilation error that was easily fixed (I cannot fully remember now): an include file path had changed name ("2" on end of directory name).

AMD64 with 16GB RAM. For good measure gave Gave 65GB Swap.

Same problem. Code runs for some time, then just silently stops. No output at all.

UPDATE

Where is prism code to be found ?.

UPDATE

Another compile from source issue was libANN. libANN is there, but configure does not recognise. Tried everything I could. Including building libANN from source. Anyway.

Issue maybe with splines. Without splines sfdp runs FAST. fdp still silent crashes, usually.

Have seen errors with malloc() failing:
sfdp: malloc.c:3695: _int_malloc: Assertion `(unsigned long) (size) >= (unsigned long) (nb)' failed.

cygwin can also stackdump ..

User avatar (0000962)
petercain0110 (reporter)
2015-08-17 11:43
edited on: 2015-08-17 12:04

UPDATE

Tried various output formats .. Same problem .. eps, svg, png ..

UPDATE

Have this error too ..
*** Error in `sfdp': corrupted double-linked list: 0x0000000000f15d40 ***

User avatar (0000963)
petercain0110 (reporter)
2015-08-17 14:54
edited on: 2015-08-19 10:40

UPDATE (cygwin)

set ulimit for stack as massive .. Thought maybe too many recursions .. Still crashes ..

UPDATE (cygwin)

Have this error too .. Thousands of them ..

Gts-CRITICAL **: gts_vertex_replace: assertion 'v != with' failed

UPDATE (cygwin)

IF use splines="compound"; Found that may sometimes work for small diagram with no clusters. The output is ugly.

Added clusters back to same that did work (above) and process just hung. Abandoned after 11 hours processing on 4GHz AMD 64 bit processor.

 1224 Peter 8 0 247m 270m 52m R 100 1.7 658:51.33 dot

User avatar (0000964)
petercain0110 (reporter)
2015-08-19 10:41

Changed shape back to default from circle. Still hangs with fdp with splines="compound".
User avatar (0000965)
petercain0110 (reporter)
2015-08-19 10:47

I also design PCB's. The software will invariably autoroute the traces (edges). A printed circuit board that is considerably more complicated than that I trying graph will generally autoroute in seconds or a few minutes. Not always beautifully, but will complete.

I have this feeling that there should be sufficient gap between the nodes for the edges, and that is should be possible to overlay edges (like a multilayer pcb), or simply lay them on top of each other.

What else can I try? Do ?

- Issue History
Date Modified Username Field Change
2015-08-15 15:04 petercain0110 New Issue
2015-08-15 15:04 petercain0110 File Added: LBI_20150815161544.txt
2015-08-16 09:59 petercain0110 Note Added: 0000961
2015-08-16 10:00 petercain0110 Note Edited: 0000961 View Revisions
2015-08-17 11:39 petercain0110 Note Edited: 0000961 View Revisions
2015-08-17 11:43 petercain0110 Note Added: 0000962
2015-08-17 12:04 petercain0110 Note Edited: 0000962 View Revisions
2015-08-17 14:54 petercain0110 Note Added: 0000963
2015-08-17 14:56 petercain0110 Note Edited: 0000963 View Revisions
2015-08-19 06:59 petercain0110 Note Edited: 0000963 View Revisions
2015-08-19 07:00 petercain0110 Note Edited: 0000963 View Revisions
2015-08-19 10:40 petercain0110 Note Edited: 0000963 View Revisions
2015-08-19 10:41 petercain0110 Note Added: 0000964
2015-08-19 10:47 petercain0110 Note Added: 0000965


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker